<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__wss__char__value__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_wss_char_value_t</compoundname>
    <includes local="no">cy_ble_wss.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__wss__char__value__t_1ad07ee1b533c37e29577df37c8bc544df" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref></type>
        <definition>cy_stc_ble_conn_handle_t cy_stc_ble_wss_char_value_t::connHandle</definition>
        <argsstring />
        <name>connHandle</name>
        <briefdescription>
<para>Peer Device Handle. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_wss.h" bodystart="64" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_wss.h" line="64" />
      </memberdef>
      <memberdef id="structcy__stc__ble__wss__char__value__t_1ac27cf8c43f648ae223cea549ff46e676" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__service__api___w_s_s__definitions_1gac4573c7d827520f05d8844b2732fbad0">cy_en_ble_wss_char_index_t</ref></type>
        <definition>cy_en_ble_wss_char_index_t cy_stc_ble_wss_char_value_t::charIndex</definition>
        <argsstring />
        <name>charIndex</name>
        <briefdescription>
<para>Index of Service Characteristic. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_wss.h" bodystart="65" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_wss.h" line="65" />
      </memberdef>
      <memberdef id="structcy__stc__ble__wss__char__value__t_1ad2656207ecae9517bd564319f27e491a" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__gatt__value__t">cy_stc_ble_gatt_value_t</ref> *</type>
        <definition>cy_stc_ble_gatt_value_t* cy_stc_ble_wss_char_value_t::value</definition>
        <argsstring />
        <name>value</name>
        <briefdescription>
<para>Characteristic Value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_wss.h" bodystart="66" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_wss.h" line="66" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>WSS Characteristic Value parameter structure. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="1344">
        <label>cy_stc_ble_conn_handle_t</label>
        <link refid="structcy__stc__ble__conn__handle__t" />
      </node>
      <node id="1342">
        <label>cy_stc_ble_wss_char_value_t</label>
        <link refid="structcy__stc__ble__wss__char__value__t" />
        <childnode refid="1343" relation="usage">
          <edgelabel>value</edgelabel>
        </childnode>
        <childnode refid="1344" relation="usage">
          <edgelabel>connHandle</edgelabel>
        </childnode>
      </node>
      <node id="1343">
        <label>cy_stc_ble_gatt_value_t</label>
        <link refid="structcy__stc__ble__gatt__value__t" />
      </node>
    </collaborationgraph>
    <location bodyend="67" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_wss.h" bodystart="62" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_wss.h" line="63" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__wss__char__value__t_1ac27cf8c43f648ae223cea549ff46e676" virt="non-virtual"><scope>cy_stc_ble_wss_char_value_t</scope><name>charIndex</name></member>
      <member prot="public" refid="structcy__stc__ble__wss__char__value__t_1ad07ee1b533c37e29577df37c8bc544df" virt="non-virtual"><scope>cy_stc_ble_wss_char_value_t</scope><name>connHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__wss__char__value__t_1ad2656207ecae9517bd564319f27e491a" virt="non-virtual"><scope>cy_stc_ble_wss_char_value_t</scope><name>value</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>